import { resolveInjectedRoute } from "../../core/routing/manifest/create.js";
function injectImageEndpoint(settings, manifest, mode, cwd) {
  manifest.routes.push(getImageEndpointData(settings, mode, cwd));
}
function ensureImageEndpointRoute(settings, manifest, mode, cwd) {
  if (!manifest.routes.some((route) => route.route === "/_image")) {
    manifest.routes.push(getImageEndpointData(settings, mode, cwd));
  }
}
function getImageEndpointData(settings, mode, cwd) {
  const endpointEntrypoint = settings.config.image.endpoint ?? (mode === "dev" ? "astro/assets/endpoint/node" : "astro/assets/endpoint/generic");
  return {
    type: "endpoint",
    isIndex: false,
    route: "/_image",
    pattern: /^\/_image$/,
    segments: [[{ content: "_image", dynamic: false, spread: false }]],
    params: [],
    component: resolveInjectedRoute(endpointEntrypoint, settings.config.root, cwd).component,
    generate: () => "",
    pathname: "/_image",
    prerender: false,
    fallbackRoutes: []
  };
}
export {
  ensureImageEndpointRoute,
  injectImageEndpoint
};
